[Overview][Resource strings][Constants][Types][Procedures and functions][Index] | Reference for unit 'StrUtils' (#rtl)

# AnsiContainsStr

Checks whether a string contains a given substring

## Declaration

Source position: strutils.pp line 48

`function AnsiContainsStr(`
`const AText: string;`
`const ASubText: string`
`):Boolean;`

## Arguments

`AText` |  | String to search in
`ASubText` |  | The substring to be searched for

## Function result

True if the string contains the given substring, False otherwise

## Description

AnsiContainsString checks whether AText contains ASubText, and returns True if this is the case, or returns False otherwise. The search is performed case-sensitive.

## Errors

None

## See also

AnsiContainsText |  | Check whether a string contains a certain substring, ignoring case.
AnsiEndsStr |  | Check whether a string ends with a certain substring
AnsiIndexStr |  | Searches, observing case, for a string in an array of strings.
AnsiStartsStr |  | Check whether a string starts with a given substring, observing case